Page MenuHomePhabricator

1.35.0-wmf.34 deployment blockers
Closed, ResolvedPublicRelease

Details

Release Version
1.35.0-wmf.34
Release Date
May 25 2020, 12:00 AM
Backup Conductor
Jdforrester-WMF

2020 week 22 1.35-wmf.34 Changes wmf/1.35.0-wmf.34

This MediaWiki Train Deployment is scheduled for the week of Monday, May 25th:

Monday May 25thTuesday, May 26thWednesday, May 27thThursday, May 28thFriday
Backports only.Branch wmf.34 and deploy to Group 0 Wikis.Deploy wmf.34 to Group 1 Wikis.Deploy wmf.34 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.34 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.35.0-wmf.33
Next: 1.35.0-wmf.35

Related Objects

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 18 2020, 2:09 PM
thcipriani triaged this task as Medium priority.
thcipriani updated Backup Conductor, added: Jdforrester-WMF.

I am not sure if this is really a blocker but perhaps train should not "depart" before ensuring that the updateCollation script from T253559 hasn't finished. Docs say the script can take some time, and while nnwiki is not one of the biggest wikis, it may take a while.

hashar added a subscriber: hashar.May 26 2020, 9:18 AM

@MarcoAurelio reasoning is that we should avoid running long term maintenance script while updating the train and that updateCollation might take a while. Given nnwiki is not that big, it should not be a problem though ;)

Change 598803 had a related patch set uploaded (by Jforrester; owner: trainbranchbot):
[mediawiki/core@wmf/1.35.0-wmf.34] Branch commit for wmf/1.35.0-wmf.34

https://gerrit.wikimedia.org/r/598803

Change 598803 merged by jenkins-bot:
[mediawiki/core@wmf/1.35.0-wmf.34] Branch commit for wmf/1.35.0-wmf.34

https://gerrit.wikimedia.org/r/598803

Change 598824 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] testwikis wikis to 1.35.0-wmf.34 refs T253022

https://gerrit.wikimedia.org/r/598824

Change 598824 merged by jenkins-bot:
[operations/mediawiki-config@master] testwikis wikis to 1.35.0-wmf.34 refs T253022

https://gerrit.wikimedia.org/r/598824

Mentioned in SAL (#wikimedia-operations) [2020-05-26T18:58:08Z] <twentyafterfour@deploy1001> Started scap: testwikis wikis to 1.35.0-wmf.34 refs T253022

Mentioned in SAL (#wikimedia-operations) [2020-05-26T20:08:10Z] <twentyafterfour@deploy1001> Finished scap: testwikis wikis to 1.35.0-wmf.34 refs T253022 (duration: 70m 02s)

Change 598842 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group0 wikis to 1.35.0-wmf.34 refs T253022

https://gerrit.wikimedia.org/r/598842

Change 598842 merged by jenkins-bot:
[operations/mediawiki-config@master] group0 wikis to 1.35.0-wmf.34 refs T253022

https://gerrit.wikimedia.org/r/598842

Mentioned in SAL (#wikimedia-operations) [2020-05-26T20:29:22Z] <twentyafterfour@deploy1001> rebuilt and synchronized wikiversions files: group0 wikis to 1.35.0-wmf.34 refs T253022

@deployers if any Revision work bugs are found during the train log triage (11:00–12:00 PDT), please note that I may not be available to fix them; I'm donating blood right before that. I'll try to check if I broke anything as soon as I can, but just a heads up that help would be appreciated.

DannyS712 moved this task from Unsorted to In progress on the User-DannyS712 board.

Mentioned in SAL (#wikimedia-operations) [2020-05-27T17:32:25Z] <twentyafterfour@deploy1001> Synchronized php-1.35.0-wmf.34/extensions/Translate/: Deploy https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/Translate/+/599027/ to wmf.34 refs T253748 and T253022 (duration: 01m 07s)

Change 599110 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group1 wikis to 1.35.0-wmf.34 refs T253022

https://gerrit.wikimedia.org/r/599110

Change 599110 merged by jenkins-bot:
[operations/mediawiki-config@master] group1 wikis to 1.35.0-wmf.34 refs T253022

https://gerrit.wikimedia.org/r/599110

Change 599111 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group1 wikis to 1.35.0-wmf.32 refs T253022

https://gerrit.wikimedia.org/r/599111

Change 599111 merged by jenkins-bot:
[operations/mediawiki-config@master] group1 wikis to 1.35.0-wmf.32 refs T253022

https://gerrit.wikimedia.org/r/599111

Mentioned in SAL (#wikimedia-operations) [2020-05-27T20:03:21Z] <twentyafterfour@deploy1001> rebuilt and synchronized wikiversions files: group1 wikis to 1.35.0-wmf.32 refs T253022

Mentioned in SAL (#wikimedia-operations) [2020-05-27T20:04:27Z] <twentyafterfour@deploy1001> Synchronized php: group1 wikis to 1.35.0-wmf.32 refs T253022 (duration: 01m 04s)

rolling to group1 caused errors on commons which was caught by canary checks, see T253804: Exception from TermStoreWriterFactory : Local entity source does not have items.

Change 599386 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group1 wikis to 1.35.0-wmf.34 refs T253022

https://gerrit.wikimedia.org/r/599386

Change 599386 merged by jenkins-bot:
[operations/mediawiki-config@master] group1 wikis to 1.35.0-wmf.34 refs T253022

https://gerrit.wikimedia.org/r/599386

Mentioned in SAL (#wikimedia-operations) [2020-05-28T17:02:42Z] <twentyafterfour@deploy1001> rebuilt and synchronized wikiversions files: group1 wikis to 1.35.0-wmf.34 refs T253022

Mentioned in SAL (#wikimedia-operations) [2020-05-28T17:03:49Z] <twentyafterfour@deploy1001> Synchronized php: group1 wikis to 1.35.0-wmf.34 refs T253022 (duration: 01m 06s)

Change 599406 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] all wikis to 1.35.0-wmf.34 refs T253022

https://gerrit.wikimedia.org/r/599406

Change 599406 merged by jenkins-bot:
[operations/mediawiki-config@master] all wikis to 1.35.0-wmf.34 refs T253022

https://gerrit.wikimedia.org/r/599406

Mentioned in SAL (#wikimedia-operations) [2020-05-28T19:14:37Z] <twentyafterfour@deploy1001> rebuilt and synchronized wikiversions files: all wikis to 1.35.0-wmf.34 refs T253022

Change 599411 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group2 wikis to 1.35.0-wmf.32 refs T253022

https://gerrit.wikimedia.org/r/599411

Change 599411 merged by jenkins-bot:
[operations/mediawiki-config@master] group2 wikis to 1.35.0-wmf.32 refs T253022

https://gerrit.wikimedia.org/r/599411

Jdforrester-WMF closed this task as Resolved.May 28 2020, 10:38 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Let's declare ourselves done for the week.